package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.service.KQSettingsService;
import com.engine.kq.cmd.settings.*;
import weaver.hrm.User;

import java.util.Map;

public class KQSettingsServiceImpl extends Service implements KQSettingsService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getSettingsForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSettingsFormCmd(params, user));
    }

    @Override
    public Map<String, Object> saveSettings(Map<String, Object> params, User user) {
        return commandExecutor.execute(new SaveSettingsCmd(params, user));
    }
}
